## czmq 4.2.1

=== CMakeLists.txt ===
################################################################################
#  THIS FILE IS 100% GENERATED BY ZPROJECT; DO NOT EDIT EXCEPT EXPERIMENTALLY  #
#  Read the zproject/README.md for information about making permanent changes. #
################################################################################

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.12)
project(czmq)
enable_language(C)
enable_testing()

set(SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
set(CMAKE_EXPORT_COMPILE_COMMANDS 1)
# Select flags
if(MSVC)
    SET(CMAKE_C_FLAGS_RELEASE "/O2")
else()
    SET(CMAKE_C_FLAGS_RELEASE "-O3")
endif()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/builds/cmake/Modules)

# Will be used to add flags to pkg-config useful when apps want to statically link
set(pkg_config_libs_private "")
set(pkg_config_names_private "")

########################################################################
# options
########################################################################
if (NOT CMAKE_BUILD_TYPE)
    if (EXISTS "${SOURCE_DIR}/.git")
        set (CMAKE_BUILD_TYPE Debug)
    else ()
# http://xit0.org/2013/04/cmake-use-git-branch-and-commit-details-in-project/
# http://stackoverflow.com/questions/6797395/cmake-execute-process-always-fails-with-no-such-file-or-directory-when-i-cal
        execute_process(
            COMMAND git rev-parse --show-toplevel
            WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
            RESULT_VARIABLE git_result
            OUTPUT_VARIABLE git_root
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        message(STATUS "git workspace root [${git_result}]: ${git_root}")
        if ( "${git_result}" STREQUAL "0" )
            set (CMAKE_BUILD_TYPE Debug)
        else ()
            set (CMAKE_BUILD_TYPE Release)
        endif ()
    endif ()
endif ()
if (${CMAKE_BUILD_TYPE} STREQUAL "Debug")
    OPTION (ENABLE_DRAFTS "Build and install draft classes and methods" ON)
else ()
    OPTION (ENABLE_DRAFTS "Build and install draft classes and methods" OFF)
endif ()
IF (ENABLE_DRAFTS)
    ADD_DEFINITIONS (-DCZMQ_BUILD_DRAFT_API)
ENDIF (ENABLE_DRAFTS)

########################################################################
# platform.h
########################################################################
include(CheckIncludeFile)
CHECK_INCLUDE_FILE("linux/wireless.h" HAVE_LINUX_WIRELESS_H)
CHECK_INCLUDE_FILE("net/if_media.h" HAVE_NET_IF_MEDIA_H)

include(CheckFunctionExists)
CHECK_FUNCTION_EXISTS("getifaddrs" HAVE_GETIFADDRS)
CHECK_FUNCTION_EXISTS("freeifaddrs" HAVE_FREEIFADDRS)

include(CheckIncludeFiles)
check_include_files("sys/socket.h;net/if.h" HAVE_NET_IF_H)
if (NOT HAVE_NET_IF_H)
    CHECK_INCLUDE_FILE("net/if.h" HAVE_NET_IF_H)
endif()

include(CheckSymbolExists)
check_symbol_exists(AI_V4MAPPED "czmq.h" HAVE_DECL_AI_V4MAPPED)

file(REMOVE "${SOURCE_DIR}/src/platform.h")

file(WRITE "${PROJECT_BINARY_DIR}/platform.h.in" "
#cmakedefine HAVE_LINUX_WIRELESS_H
#cmakedefine HAVE_NET_IF_H
#cmakedefine HAVE_NET_IF_MEDIA_H
#cmakedefine HAVE_GETIFADDRS
#cmakedefine HAVE_FREEIFADDRS
#cmakedefine01 HAVE_DECL_AI_V4MAPPED
")

configure_file("${PROJECT_BINARY_DIR}/platform.h.in" "${PROJECT_BINARY_DIR}/platform.h")

if (WIN32)
    #The MSVC C compiler is too out of date,
    #so the sources have to be compiled as c++
    if (MSVC AND NOT (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
        enable_language(CXX)
        file(GLOB sources "${SOURCE_DIR}/src/*.c")
        set_source_files_properties(
            ${sources}
            PROPERTIES LANGUAGE CXX
        )
    endif()
    set(MORE_LIBRARIES ws2_32 Rpcrt4 Iphlpapi)
endif()

# specific case of windows UWP
if( "${CMAKE_SYSTEM_NAME}" STREQUAL "WindowsStore" AND "${CMAKE_SYSTEM_VERSION}" STREQUAL "10.0")
  ADD_DEFINITIONS(-DZMQ_HAVE_WINDOWS_UWP)
  ADD_DEFINITIONS(-D_WIN32_WINNT=_WIN32_WINNT_WIN10)
endif()


# required libraries for mingw
if (MINGW)
    set(MORE_LIBRARIES -lws2_32 -lrpcrt4 -liphlpapi)
endif()

# required libraries for cygwin
if (CYGWIN)
    set(MORE_LIBRARIES)
endif()

list(APPEND CMAKE_MODULE_PATH "${SOURCE_DIR}")
set(OPTIONAL_LIBRARIES)
set(OPTIONAL_LIBRARIES_STATIC)

########################################################################
# LIBZMQ dependency
########################################################################
find_package(libzmq REQUIRED)
IF (LIBZMQ_FOUND)
    include_directories(${LIBZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBZMQ_LIBRARIES})
  IF (PC_LIBZMQ_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} libzmq")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBZMQ_STATIC_LDFLAGS})
  ELSE (PC_LIBZMQ_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lzmq")
  ENDIF (PC_LIBZMQ_FOUND)
ELSE (LIBZMQ_FOUND)
    message( FATAL_ERROR "libzmq not found." )
ENDIF (LIBZMQ_FOUND)

########################################################################
# UUID dependency
########################################################################
find_package(uuid)
option(CZMQ_WITH_UUID "Build czmq with uuid" ${UUID_FOUND})
IF (CZMQ_WITH_UUID AND UUID_FOUND)
    include_directories(${UUID_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${UUID_LIBRARIES})
  IF (PC_UUID_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} uuid")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_UUID_STATIC_LDFLAGS})
  ELSE (PC_UUID_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -luuid")
  ENDIF (PC_UUID_FOUND)
    add_definitions(-DHAVE_UUID)
    list(APPEND OPTIONAL_LIBRARIES ${UUID_LIBRARIES})
ENDIF (CZMQ_WITH_UUID AND UUID_FOUND)

########################################################################
# SYSTEMD dependency
########################################################################
find_package(systemd)
option(CZMQ_WITH_SYSTEMD "Build czmq with systemd" ${SYSTEMD_FOUND})
IF (CZMQ_WITH_SYSTEMD AND SYSTEMD_FOUND)
    include_directories(${SYSTEMD_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${SYSTEMD_LIBRARIES})
  IF (PC_SYSTEMD_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} libsystemd >= 200.0.0")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_SYSTEMD_STATIC_LDFLAGS})
  ELSE (PC_SYSTEMD_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lsystemd")
  ENDIF (PC_SYSTEMD_FOUND)
    add_definitions(-DHAVE_LIBSYSTEMD)
    list(APPEND OPTIONAL_LIBRARIES ${SYSTEMD_LIBRARIES})
ENDIF (CZMQ_WITH_SYSTEMD AND SYSTEMD_FOUND)

########################################################################
# LZ4 dependency
########################################################################
find_package(lz4)
option(CZMQ_WITH_LZ4 "Build czmq with lz4" ${LZ4_FOUND})
IF (CZMQ_WITH_LZ4 AND LZ4_FOUND)
    include_directories(${LZ4_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LZ4_LIBRARIES})
  IF (PC_LZ4_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} liblz4")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LZ4_STATIC_LDFLAGS})
  ELSE (PC_LZ4_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -llz4")
  ENDIF (PC_LZ4_FOUND)
    add_definitions(-DHAVE_LIBLZ4)
    list(APPEND OPTIONAL_LIBRARIES ${LZ4_LIBRARIES})
ENDIF (CZMQ_WITH_LZ4 AND LZ4_FOUND)

########################################################################
# LIBCURL dependency
########################################################################
find_package(libcurl)
option(CZMQ_WITH_LIBCURL "Build czmq with libcurl" ${LIBCURL_FOUND})
IF (CZMQ_WITH_LIBCURL AND LIBCURL_FOUND)
    include_directories(${LIBCURL_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBCURL_LIBRARIES})
  IF (PC_LIBCURL_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} libcurl >= 7.28.0")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBCURL_STATIC_LDFLAGS})
  ELSE (PC_LIBCURL_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lcurl")
  ENDIF (PC_LIBCURL_FOUND)
    add_definitions(-DHAVE_LIBCURL)
    list(APPEND OPTIONAL_LIBRARIES ${LIBCURL_LIBRARIES})
ENDIF (CZMQ_WITH_LIBCURL AND LIBCURL_FOUND)

########################################################################
# NSS dependency
########################################################################
find_package(nss)
option(CZMQ_WITH_NSS "Build czmq with nss" ${NSS_FOUND})
IF (CZMQ_WITH_NSS AND NSS_FOUND)
    include_directories(${NSS_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${NSS_LIBRARIES})
  IF (PC_NSS_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} nss")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_NSS_STATIC_LDFLAGS})
  ELSE (PC_NSS_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lnss")
  ENDIF (PC_NSS_FOUND)
    add_definitions(-DHAVE_NSS)
    list(APPEND OPTIONAL_LIBRARIES ${NSS_LIBRARIES})
ENDIF (CZMQ_WITH_NSS AND NSS_FOUND)

########################################################################
# LIBMICROHTTPD dependency
########################################################################
find_package(libmicrohttpd)
option(CZMQ_WITH_LIBMICROHTTPD "Build czmq with libmicrohttpd" ${LIBMICROHTTPD_FOUND})
IF (CZMQ_WITH_LIBMICROHTTPD AND LIBMICROHTTPD_FOUND)
    include_directories(${LIBMICROHTTPD_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBMICROHTTPD_LIBRARIES})
  IF (PC_LIBMICROHTTPD_FOUND)
      set(pkg_config_names_private "${pkg_config_names_private} libmicrohttpd")
      list(APPEND OPTIONAL_LIBRARIES_STATIC ${PC_LIBMICROHTTPD_STATIC_LDFLAGS})
  ELSE (PC_LIBMICROHTTPD_FOUND)
      set(pkg_config_libs_private "${pkg_config_libs_private} -lmicrohttpd")
  ENDIF (PC_LIBMICROHTTPD_FOUND)
    add_definitions(-DHAVE_LIBMICROHTTPD)
    list(APPEND OPTIONAL_LIBRARIES ${LIBMICROHTTPD_LIBRARIES})
ENDIF (CZMQ_WITH_LIBMICROHTTPD AND LIBMICROHTTPD_FOUND)

########################################################################
# version
########################################################################
set(CZMQ_VERSION_MAJOR 4)
set(CZMQ_VERSION_MINOR 2)
set(CZMQ_VERSION_PATCH 1)
set(CZMQ_VERSION "${CZMQ_VERSION_MAJOR}.${CZMQ_VERSION_MINOR}.${CZMQ_VERSION_PATCH}")
message(STATUS "Detected CZMQ Version - ${CZMQ_VERSION}")


########################################################################
# includes
########################################################################
set (czmq_headers
    include/czmq_library.h
    include/czmq_prelude.h
    include/czmq.h
    include/zactor.h
    include/zarmour.h
    include/zcert.h
    include/zcertstore.h
    include/zchunk.h
    include/zclock.h
    include/zconfig.h
    include/zdigest.h
    include/zdir.h
    include/zdir_patch.h
    include/zfile.h
    include/zframe.h
    include/zhash.h
    include/zhashx.h
    include/ziflist.h
    include/zlist.h
    include/zlistx.h
    include/zloop.h
    include/zmsg.h
    include/zpoller.h
    include/zsock.h
    include/zstr.h
    include/zsys.h
    include/zuuid.h
    include/zauth.h
    include/zbeacon.h
    include/zgossip.h
    include/zmonitor.h
    include/zproxy.h
    include/zrex.h
    src/zgossip_msg.h
    src/zsock_option.inc
    src/zgossip_engine.inc
    src/zhash_primes.inc
    src/foreign/sha1/sha1.inc_c
    src/foreign/sha1/sha1.h
    src/foreign/slre/slre.inc_c
    src/foreign/slre/slre.h
    src/foreign/slre/readme.txt
)

IF (ENABLE_DRAFTS)
    list(APPEND czmq_headers
        include/zargs.h
        include/zproc.h
        include/ztimerset.h
        include/ztrie.h
        include/zhttp_client.h
        include/zhttp_server.h
        include/zhttp_server_options.h
        include/zhttp_request.h
        include/zhttp_response.h
        include/zosc.h
    )
ENDIF (ENABLE_DRAFTS)

source_group ("Header Files" FILES ${czmq_headers})
install(FILES ${czmq_headers} DESTINATION include)

=== bindings/jni/czmq-jni/CMakeLists.txt ===
################################################################################
#  THIS FILE IS 100% GENERATED BY ZPROJECT; DO NOT EDIT EXCEPT EXPERIMENTALLY  #
#  Read the zproject/README.md for information about making permanent changes. #
################################################################################
cmake_minimum_required (VERSION 2.8)

project (czmqjni CXX)
enable_language (C)

# Search for Find*.cmake files in the following locations
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/../../..")

########################################################################
# JNI dependency
########################################################################
find_package (JNI REQUIRED)
include_directories (${JAVA_INCLUDE_PATH} ${JAVA_INCLUDE_PATH2} src/native/include)

########################################################################
# LIBZMQ dependency
########################################################################
find_package(libzmq REQUIRED)
IF (LIBZMQ_FOUND)
    include_directories(${LIBZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBZMQ_LIBRARIES})
ELSE (LIBZMQ_FOUND)
    message( FATAL_ERROR "libzmq not found." )
ENDIF (LIBZMQ_FOUND)

########################################################################
# CZMQ dependency
########################################################################
find_package(czmq REQUIRED)
IF (CZMQ_FOUND)
    include_directories(${CZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${CZMQ_LIBRARIES})
ELSE (CZMQ_FOUND)
    message( FATAL_ERROR "czmq not found." )
ENDIF (CZMQ_FOUND)

set (czmqjni_sources
    src/main/c/org_zeromq_czmq_Zarmour.c
    src/main/c/org_zeromq_czmq_Zcert.c
    src/main/c/org_zeromq_czmq_Zcertstore.c
    src/main/c/org_zeromq_czmq_Zchunk.c
    src/main/c/org_zeromq_czmq_Zclock.c
    src/main/c/org_zeromq_czmq_Zconfig.c
    src/main/c/org_zeromq_czmq_Zdigest.c
    src/main/c/org_zeromq_czmq_Zdir.c
    src/main/c/org_zeromq_czmq_ZdirPatch.c
    src/main/c/org_zeromq_czmq_Zfile.c
    src/main/c/org_zeromq_czmq_Zframe.c
    src/main/c/org_zeromq_czmq_Zhash.c
    src/main/c/org_zeromq_czmq_Zhashx.c
    src/main/c/org_zeromq_czmq_Ziflist.c
    src/main/c/org_zeromq_czmq_Zlist.c
    src/main/c/org_zeromq_czmq_Zlistx.c
    src/main/c/org_zeromq_czmq_Zloop.c
    src/main/c/org_zeromq_czmq_Zmsg.c
    src/main/c/org_zeromq_czmq_Zpoller.c
    src/main/c/org_zeromq_czmq_Zproc.c
    src/main/c/org_zeromq_czmq_Zsock.c
    src/main/c/org_zeromq_czmq_Zstr.c
    src/main/c/org_zeromq_czmq_Zsys.c
    src/main/c/org_zeromq_czmq_Ztimerset.c
    src/main/c/org_zeromq_czmq_Ztrie.c
    src/main/c/org_zeromq_czmq_Zuuid.c
    src/main/c/org_zeromq_czmq_ZhttpClient.c
    src/main/c/org_zeromq_czmq_ZhttpServer.c
    src/main/c/org_zeromq_czmq_ZhttpServerOptions.c
    src/main/c/org_zeromq_czmq_ZhttpRequest.c
    src/main/c/org_zeromq_czmq_ZhttpResponse.c
    src/main/c/org_zeromq_czmq_Zosc.c
)

add_library (czmqjni SHARED ${czmqjni_sources})
add_definitions (-DCZMQ_BUILD_DRAFT_API)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic -O2")
set (CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)
set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)
set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)

target_link_libraries (czmqjni ${MORE_LIBRARIES})

=== bindings/jni/czmq-jni/android/CMakeLists.txt ===
################################################################################
#  THIS FILE IS 100% GENERATED BY ZPROJECT; DO NOT EDIT EXCEPT EXPERIMENTALLY  #
#  Read the zproject/README.md for information about making permanent changes. #
################################################################################
cmake_minimum_required (VERSION 3.6)

project (czmqjni CXX)
enable_language (C)

# Search for Find*.cmake files in the following locations
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/..")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/../../../..")

########################################################################
# LIBZMQ dependency
########################################################################
find_package(libzmq REQUIRED)
IF (LIBZMQ_FOUND)
    include_directories(${LIBZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${LIBZMQ_LIBRARIES})
ELSE (LIBZMQ_FOUND)
    message( FATAL_ERROR "libzmq not found." )
ENDIF (LIBZMQ_FOUND)

########################################################################
# CZMQ dependency
########################################################################
find_package(czmq REQUIRED)
IF (CZMQ_FOUND)
    include_directories(${CZMQ_INCLUDE_DIRS})
    list(APPEND MORE_LIBRARIES ${CZMQ_LIBRARIES})
ELSE (CZMQ_FOUND)
    message( FATAL_ERROR "czmq not found." )
ENDIF (CZMQ_FOUND)

include_directories(../src/native/include)

set (czmqjni_sources
    ../src/main/c/org_zeromq_czmq_Zarmour.c
    ../src/main/c/org_zeromq_czmq_Zcert.c
    ../src/main/c/org_zeromq_czmq_Zcertstore.c
    ../src/main/c/org_zeromq_czmq_Zchunk.c
    ../src/main/c/org_zeromq_czmq_Zclock.c
    ../src/main/c/org_zeromq_czmq_Zconfig.c
    ../src/main/c/org_zeromq_czmq_Zdigest.c
    ../src/main/c/org_zeromq_czmq_Zdir.c
    ../src/main/c/org_zeromq_czmq_ZdirPatch.c
    ../src/main/c/org_zeromq_czmq_Zfile.c
    ../src/main/c/org_zeromq_czmq_Zframe.c
    ../src/main/c/org_zeromq_czmq_Zhash.c
    ../src/main/c/org_zeromq_czmq_Zhashx.c
    ../src/main/c/org_zeromq_czmq_Ziflist.c
    ../src/main/c/org_zeromq_czmq_Zlist.c
    ../src/main/c/org_zeromq_czmq_Zlistx.c
    ../src/main/c/org_zeromq_czmq_Zloop.c
    ../src/main/c/org_zeromq_czmq_Zmsg.c
    ../src/main/c/org_zeromq_czmq_Zpoller.c
    ../src/main/c/org_zeromq_czmq_Zproc.c
    ../src/main/c/org_zeromq_czmq_Zsock.c
    ../src/main/c/org_zeromq_czmq_Zstr.c
    ../src/main/c/org_zeromq_czmq_Zsys.c
    ../src/main/c/org_zeromq_czmq_Ztimerset.c
    ../src/main/c/org_zeromq_czmq_Ztrie.c
    ../src/main/c/org_zeromq_czmq_Zuuid.c
    ../src/main/c/org_zeromq_czmq_ZhttpClient.c
    ../src/main/c/org_zeromq_czmq_ZhttpServer.c
    ../src/main/c/org_zeromq_czmq_ZhttpServerOptions.c
    ../src/main/c/org_zeromq_czmq_ZhttpRequest.c
    ../src/main/c/org_zeromq_czmq_ZhttpResponse.c
    ../src/main/c/org_zeromq_czmq_Zosc.c
)

add_library (czmqjni SHARED ${czmqjni_sources})
add_definitions (-DCZMQ_BUILD_DRAFT_API)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic -O2")
set (CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)
set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)
set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/build)

target_link_libraries (czmqjni ${MORE_LIBRARIES})

=== debian/changelog ===
czmq (4.2.1-3devuan1) unstable; urgency=medium

  * Merge 4.2.1-3 into Devuan

 -- Sebastian Dalfuß <devuan@sedf.de>  Tue, 22 Apr 2025 20:45:34 +0100

czmq (4.2.1-3) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.0, no changes
  * Update d/watch to use Github API
  * Drop obsolete provides/breaks/replaces/pre-depends

 -- Luca Boccassi <bluca@debian.org>  Fri, 24 May 2024 23:18:17 +0100

czmq (4.2.1-2devuan1) unstable; urgency=medium

  * Merge 4.2.1-2 into Devuan

 -- Sebastian Dalfuß <devuan@sedf.de>  Sun, 10 Mar 2024 19:38:34 +0100

czmq (4.2.1-2) unstable; urgency=medium

  * Undo 4.2.1-1.1. There are only 3 symbols with time_t, and they are not
    used in the distribution. Avoid to carry the package rename forever.
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright
  * Switch to pkgconf
  * Update Lintian overrides

 -- Luca Boccassi <bluca@debian.org>  Sat, 02 Mar 2024 23:04:16 +0000

czmq (4.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061997

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Feb 2024 23:44:09 +0000

czmq (4.2.1-1devuan1) unstable; urgency=medium

  * Fork for Devuan
  * Remove build dependency of libsystemd-dev
  * Remove dependency of libsystemd-dev for libczmq-dev (Closes: #622) 

 -- Sebastian Dalfuß <devuan@sedf.de>  Sun, 27 Nov 2022 11:15:22 +0100

czmq (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * Switch to debhelper-compat 12
  * Switch to watch version 4, no changes
  * Bump Standards-Version to 4.5.1, no changes
  * Add d/upstream/metadata file
  * Drop libczmq-dbg migration boilerplate
  * Add build-dependency on libnss3-dev
  * Update symbols file
  * Remove tabs from d/copyright
  * Update d/source/lintian-overrides
  * Use Build-Depends-Package in symbols file

 -- Luca Boccassi <bluca@debian.org>  Sun, 17 Jan 2021 15:51:51 +0000

=== debian/control ===
Source: czmq
Priority: optional
Maintainer: Sebastian Dalfuß <devuan@sedf.de>
Build-Depends: debhelper-compat (= 13),
 pkgconf,
 libnss3-dev,
 libzmq3-dev,
 uuid-dev,
 asciidoc-base <!nodoc> | asciidoc <!nodoc>,
 xmlto <!nodoc>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: libs
Homepage: http://czmq.zeromq.org/
Vcs-Git: https://git.devuan.org/devuan/czmq.git
Vcs-Browser: https://git.devuan.org/devuan/czmq
Origin: Devuan

Package: libczmq4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: High-level C binding for ZeroMQ
 czmq (previously known as libzapi) provides a high-level C binding for
 0MQ, a lightweight messaging library.
 .
 This library provides higher level abstractions on top of the base
 library, with features such as:
  * Work with messages as strings, individual frames, or multipart messages.
  * Automatic closure of any open sockets at context termination.
  * Automatic LINGER configuration of all sockets for context termination.
  * Portable API for creating child threads and ØMQ pipes to talk to them.
  * Simple reactor with one-off and repeated timers, and socket readers.
  * System clock functions for sleeping and calculating timers.
  * Easy API to get/set all socket options.
  * Includes generic hash and list containers.

Package: libczmq-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libnss3-dev,
         libzmq3-dev,
         uuid-dev,
         libczmq4 (= ${binary:Version})
Multi-Arch: same
Description: High-level C binding for ZeroMQ (development files)
 czmq (previously known as libzapi) provides a high-level C binding for
 0MQ, a lightweight messaging library.
 .
 This library provides higher level abstractions on top of the base
 library, with features such as:
  * Work with messages as strings, individual frames, or multipart messages.
  * Automatic closure of any open sockets at context termination.
  * Automatic LINGER configuration of all sockets for context termination.
  * Portable API for creating child threads and ØMQ pipes to talk to them.
  * Simple reactor with one-off and repeated timers, and socket readers.
  * System clock functions for sleeping and calculating timers.
  * Easy API to get/set all socket options.
  * Includes generic hash and list containers.
 .
 This package provides the development files for czmq.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
include /usr/share/dpkg/default.mk

DOCS = yes
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = no
endif
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
DOCS = no
endif

TESTS = yes
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
TESTS = no
endif
ifneq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
TESTS = no
endif

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
		--with-uuid=yes \
		--with-docs=$(DOCS) \
		--enable-drafts=no

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# unit tests are too unreliable on buildd, even i386.
# and on mips it seems to hang, so avoid running it.
override_dh_auto_test:
ifeq (yes,$(TESTS))
ifneq ($(DEB_HOST_ARCH),mips)
	-dh_auto_test -- VERBOSE=1
endif
endif

## czmq 4.2.1+git20260114

=== debian/changelog ===
czmq (4.2.1+git20260114-0) UNRELEASED; urgency=low

  * Initial packaging.

 -- czmq Developers <zeromq-dev@lists.zeromq.org>  Wed, 31 Dec 2014 00:00:00 +0000

=== debian/control ===
#
#    czmq - The high-level C binding for 0MQ
#
#    Copyright (c) the Contributors as noted in the AUTHORS file.
#    This file is part of CZMQ, the high-level C binding for 0MQ:
#    http://czmq.zeromq.org.
#
#    This Source Code Form is subject to the terms of the Mozilla Public
#    License, v. 2.0. If a copy of the MPL was not distributed with this
#    file, You can obtain one at http://mozilla.org/MPL/2.0/.

Source:         czmq
Section:        net
Priority:       optional
Maintainer:     czmq Developers <zeromq-dev@lists.zeromq.org>
Standards-Version: 4.0.1.0
Build-Depends: debhelper-compat (= 12),
    pkgconf | pkg-config,
    libzmq3-dev,
    uuid-dev,
    libsystemd-dev (>= 200.0.0),
    liblz4-dev,
    libcurl4-gnutls-dev (>= 7.28.0),
    libnss3-dev,
    libmicrohttpd-dev,
    dh-python <!nopython>,
    python3-all-dev <!nopython>, python3-cffi <!nopython>, python3-setuptools <!nopython>,
    asciidoc-base <!nodoc>, xmlto <!nodoc>,

Package: libczmq4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: czmq shared library
 This package contains shared library for czmq:
 the high-level c binding for 0mq

Package: libczmq-dev
Architecture: any
Section: libdevel
Depends:
    ${misc:Depends},
    libzmq3-dev,
    uuid-dev,
    libsystemd-dev (>= 200.0.0),
    liblz4-dev,
    libcurl4-gnutls-dev (>= 7.28.0),
    libnss3-dev,
    libmicrohttpd-dev,
    libczmq4 (= ${binary:Version})
Description: czmq development tools
 This package contains development files for czmq:
 the high-level c binding for 0mq

Package: czmq
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: runnable binaries from czmq
 Main package for czmq:
 the high-level c binding for 0mq

Package: czmq-dbg
Architecture: any
Section: debug
Priority: optional
Depends:
    czmq (= ${binary:Version}),
    ${misc:Depends}
Description: czmq debugging symbols
 This package contains the debugging symbols for czmq:
 the high-level c binding for 0mq.

Package: python3-czmq-cffi
Architecture: any
Section: python
Depends:
    libczmq4 (= ${binary:Version}),
    ${misc:Depends}, ${shlibs:Depends},
    ${python3:Depends}, python3-cffi,
Description: Python 3 CFFI bindings for czmq
 This package contains Python 3 CFFI bindings for czmq.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DRAFTS=no
DOCS=yes

# OBS build: add
#   Macros:
#   %_with_drafts 1
# at the BOTTOM of the OBS prjconf
OBS_BUILD_CFG=/.build/build.dist
ifeq ("$(wildcard $(OBS_BUILD_CFG))","")
BUILDCONFIG=$(shell ls -1 /usr/src/packages/SOURCES/_buildconfig* | head -n 1)
endif
ifneq ("$(wildcard $(OBS_BUILD_CFG))","")
ifneq ("$(shell grep drafts $(OBS_BUILD_CFG))","")
DRAFTS=yes
endif
ifneq ("$(shell grep python3_cffi $(OBS_BUILD_CFG))","")
PYTHON_CFFI=yes
endif
endif

# User build: DEB_BUILD_OPTIONS=drafts dpkg-buildpackage
ifneq (,$(findstring drafts,$(DEB_BUILD_OPTIONS)))
DRAFTS=yes
endif

ifneq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
DOCS=no
endif
ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
DOCS=no
endif

# User build: DEB_BUILD_OPTIONS=python_cffi dpkg-buildpackage
ifneq (,$(findstring python_cffi,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring nopython,$(DEB_BUILD_OPTIONS)))
ifeq (,$(findstring nopython,$(DEB_BUILD_PROFILES)))
PYTHON_CFFI=yes
WITH_PYTHON = --with=python3
endif
endif
endif

ifeq (yes,$(PYTHON_CFFI))
export PYBUILD_NAME=czmq-cffi
export PKG_CONFIG_PATH=$(CURDIR)/bindings/python_cffi:$PKG_CONFIG_PATH

override_dh_auto_build:
	dh_auto_build -O--buildsystem=autoconf
	# Problem: we need pkg-config points to built and not yet installed copy of czmq
	# Solution: chicken-egg problem - let's make "fake" pkg-config file
	sed -e "s@^libdir.*@libdir=$(CURDIR)/src/.libs@" 		-e "s@^includedir.*@includedir=$(CURDIR)/include@" 		src/libczmq.pc > bindings/python_cffi/libczmq.pc
	dh_auto_build --sourcedirectory=bindings/python_cffi -O--buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install -O--buildsystem=autoconf
	dh_auto_install --sourcedirectory=bindings/python_cffi -O--buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=autoconf
	dh_auto_clean -O--buildsystem=pybuild
	rm -f bindings/python_cffi/*.pc
	rm -rf bindings/python_cffi/*.egg-info/
else
WITH_PYTHON =
# This tells debhelper to avoid building the python CFFI packages
DH_OPTIONS += -Npython3-czmq-cffi
export DH_OPTIONS

override_dh_auto_build:
	dh_auto_build -O--buildsystem=autoconf

override_dh_auto_install:
	dh_auto_install -O--buildsystem=autoconf

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=autoconf
endif

$(shell test -f src/Makemodule-local.am || touch src/Makemodule-local.am)

override_dh_strip:
	dh_strip --dbg-package=czmq-dbg

override_dh_auto_test:
	echo "Skipped for now"

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-uuid=yes \
		--with-libsystemd=yes \
		--with-liblz4=yes \
		--with-libcurl=yes \
		--with-nss=yes \
		--with-libmicrohttpd=yes \
		--with-docs=$(DOCS) \
		--enable-drafts=$(DRAFTS)

%:
	dh $@ \
		$(WITH_PYTHON) \
		--parallel \
		--with autoreconf
